AMADDCLIENT(8)

NAME
amaddclient - program to add client to an existing Amanda configuration

SYNOPSIS

amaddclient --config config ||
 --client client name ||
 --diskdev directory to backup [--m] [--dumptype string] [--includefile string] [--includelist string] [--excludefile string] [--excludelist string] [--user string] [--auth string] [--gnutar_list_dir string] [--amandates string] [--no-client-update] [--batch] [--help]

DESCRIPTION

After Amanda rpms are successfully installed and amserverconfig is run, amaddclient will add client to the Amanda configuration. amaddclient create or update Amanda disklist(5) file and create or update /var/lib/amanda/.amandahosts file on the server.

If --no-client-update is not specified, amaddclient will attempt to update or create /var/lib/amanda/.amandahost, amanda-client.conf and gnutar-lists on the client. (See ssh-keygen(1) and ssh-add(1) for detail.)

amaddclient must be run by user amandabackup.

--config, --client and --diskdev must be specified.

OPTIONS

    Options may be abbreviated, as long as the abbreviation is not ambiguous. Option argument can either separated by '=' or a space. Example: --conf=v253, --client client8.zmanda.com

--config config
    Amanda configuration which this program will add the client to.

--client client
    The name of the client machine to add. FQDN name recommended.

--diskdev diskdev
    Directory for this Amanda configuration to backup.

--m
    Modify existing entry in the disklist(5) file.

    Note: if disklist(5) file has been modified manually, this option might not work.

--dumptype dumptype
    dumptype to use. Dumptype must be defined in /etc/amanda/template.d/dumptypes or /etc/amanda/$config/amanda.conf file. Default: [user-tar]

--user string
    name of user using amrecover on the client, default is root.

--auth string
    authentication method to use when running amrecover from the client , default is bsdtcp.

--gnutar_list_dir string
    directory where gnutar keep its state file on the client. Absolute path required. Default is /var/lib/amanda/gnutar-lists. If --no-client-update is not set, this program will attempt to create the directory on the client.

--amandates string
    file where amanda keep the date of each dumplevel on the client, default is /etc/amandates.

--batch
    Turn on batch mode when copying files to the client, default is off

--no-client-update
    If this option is set, amaddclient will not attempt to update/create .amandahosts, amanda-client.conf and gnutar-lists file on the client.

--help
    Display usage.

    If any of the following four options are used, amaddclient will extend the dumptype definition to an in-line definition in the disklist(5) file.

--includefile string
    string is a glob expression

--includelist string
    string is a file name on the client containing glob expressions. Specify either --includefile or --includelist.

--excludefile string
    string is a glob expression

--excludelist string
    string is a file name on the client containing glob expressions. Specify either --excludefile or --excludelist.

FILES

/var/lib/amanda/template.d
    Amanda configuration template files install location

/var/lib/amanda
    amandabackup home directory

/var/lib/amanda/.amandahosts
    Amanda authentication file.

/var/lib/amanda/gnutar-lists
    A directory which contains backup timestamp and list of files backed up.

/etc/amanda/$config
    Amanda configuration files location for $config(e.g: DailySet1).

/etc/amanda/template.d
    A directory contains dumptypes and tapetypes files used by all Amanda configurations.

/etc/amandates
    Amanda file on the client. It keeps track of structures of previous dumps.

/tmp/amanda
    directory contains Amanda debug log files.

RETURN VALUE
On success, zero is returned. On error, 1 is returned.

SEE ALSO

amanda(8), amanda.conf(5), amserverconfig(8), ssh-keygen(1), ssh-add(1), scp(1)

The Amanda Wiki: : http://wiki.zmanda.com/

AUTHOR

Kevin Till <kevin.till@zmanda.com>
    Zmanda, Inc. (http://www.zmanda.com)